%define upstream_name    SVG-Graph-Kit
%define upstream_version 0.0403

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Data plotting with SVG
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SVG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(SVG::Graph)
BuildRequires: perl(SVG::Graph::Data)
BuildRequires: perl(SVG::Graph::Data::Datum)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
An 'SVG::Graph::Kit' object is an automated data plotter that is a subclass
of 'SVG::Graph'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.40.300-2.mga10
+ Revision: 2214740
- Mageia 10 Mass Rebuild

* Mon Jun 13 2022 tv <tv> 0.40.300-1.mga9
+ Revision: 1864251
- update to 0.0403

* Sun Mar 20 2022 umeabot <umeabot> 0.40.200-4.mga9
+ Revision: 1805835
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.200-3.mga8
+ Revision: 1497233
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.200-2.mga7
+ Revision: 1271252
- Mageia 7 Mass Rebuild

* Fri Nov 04 2016 shlomif <shlomif> 0.40.200-1.mga6
+ Revision: 1065295
- imported package perl-SVG-Graph-Kit


* Fri Nov 04 2016 cpan2dist 0.0402-1mga
- initial mageia release, generated with cpan2dist
